---
title: List
url: https://www.tines.com/docs/api/admin/action_egress_control_rules/list/
updated: 2024-10-18T18:36:02+00:00
description: "List Action egress control rules for the tenant. Please note that these only take effect if [Action egress control](https://www.tines.com/docs/admin/action-egress-control/) is enabled."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Action egress control rules](https://www.tines.com/llm/docs/api/admin/action_egress_control_rules.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/admin/action_egress_control_rules/list/)*

## Description

List Action egress control rules for the tenant. Please note that these only take effect if [Action egress control](https://www.tines.com/docs/admin/action-egress-control/) is enabled.

## Request

HTTP Method: **GET**

### Field description

| Parameter | Description                                                                                         |
| --------- | --------------------------------------------------------------------------------------------------- |
| per_page  | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page      | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

### Sample request

<!-- cspell:disable -->

```bash

curl -X GET \
  https://<tenant-domain>/api/v1/admin/action_egress_control_rules \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

<!-- cspell:enable -->

## Response

A successful request will return an an object with a list of Action egress control rules.

### Field description

| Parameter            | Description                                                                                                       |
| -------------------- | ----------------------------------------------------------------------------------------------------------------- |
| id                   | Action egress control rule ID.                                                                                    |
| ip                   | IP address or CIDR range of the rule.                                                                             |
| description          | Human-readable description of the rule.                                                                           |
| allowed_action_types | List of action types the IP or FQDN is allowed for. This list will include "send-email", "http-request", or both. |
| created_at           | Timestamp describing when the rule was created.                                                                   |
| updated_at           | Timestamp describing when the rule was last updated.                                                              |

### Sample response

```json
{
  "admin/action_egress_control_rules": [
    {
      "id": 1,
      "ip": "192.168.1.1",
      "fqdn": null,
      "description": "Example IP",
      "allowed_action_types": ["http-request"],
      "created_at": "2024-07-25T16:29:48Z",
      "updated_at": "2024-07-25T16:29:48Z"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/admin/action_egress_control_rules?&per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
